<?xml version="1.0"?>
<!-- 
  Defines classes and bug types that are explicitly excluded from the FindBugs
  report. Use this file to ommit any false positives (code that isn't actually
  faulty).
  
  Please don't add any exclusions here unless you are certain that the code
  involved really is not faulty! 
-->
<FindBugsFilter>

    <Match class="com.tui.uk.powersearch.accommodation.domain.InventorySystem">
        <BugPattern name="UWF_UNWRITTEN_FIELD"/>
    </Match>
    <Match class="com.tui.uk.powersearch.locations.domain.Location">
        <BugPattern name="UWF_UNWRITTEN_FIELD"/>
    </Match>
    <Match class="com.tui.uk.powersearch.locations.domain.Location">
        <BugPattern name="UWF_UNWRITTEN_FIELD"/>
    </Match>
    <Match class="com.tui.uk.powersearch.locations.domain.RegionLocation">
        <BugPattern name="UWF_UNWRITTEN_FIELD"/>
    </Match>
    <Match class="com.tui.uk.powersearch.locations.domain.ResortLocation">
        <BugPattern name="UWF_UNWRITTEN_FIELD"/>
    </Match>

    <!--
      The Sun Java compiler generates bytecode that triggers a "dead local store"
      warning from seemingly valid code, so we ignore this check.
    -->
    <Match classregex=".*">
        <BugCode name="DLS"/>
        <BugCode name="SnVI"/>
    </Match>
    
    
</FindBugsFilter>
